package com.alibaba.demo.consumer;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.client.RestTemplate;

import com.alibaba.demo.consumer.ConsumerApplication.Provider1;

/**
 * @author xiaojing
 */
@RestController
public class TestController {

    @Autowired
    private RestTemplate restTemplate;
    @Autowired
    private Provider1 provider1;

    @RequestMapping(value = "/user/rest", method = RequestMethod.GET)
    public String rest() {
        String str1 = restTemplate
            .getForObject("http://service-provider/user/", String.class);

        return str1;
    }

    @RequestMapping(value = "/user/feign", method = RequestMethod.GET)
    public String feign() {
        return provider1.user();
    }
}
